<form [formGroup]="parentForm">
  <div class="form-check form-check-inline" *ngFor="let option of radioOptions">
    <input [formControlName]="controlName" class="form-check-input" type="radio" [id]="option.value" [value]="option.value">
    <label class="form-check-label" [attr.for]="option.value">{{ option.text }}</label>
  </div>
  <br>
  <ng-container
    *ngIf="parentForm.get(controlName).errors && (parentForm.get(controlName).dirty || parentForm.get(controlName).touched)">
    <small *ngIf="parentForm.get(controlName).hasError('required')" class="text-warning">
      Ovo polje je obavezno
    </small>
  </ng-container>
</form>
